#
# spec file for package python-rednose
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Weberhofer GmbH, Austria
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-rednose
Version:        0.4.1
Release:        4.1
Summary:        Pretty output formatter for python-nosetests
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/rednose/
Source0:        https://pypi.python.org/packages/source/r/rednose/rednose-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-nose
Requires:       python-termstyle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Rednose is a nosetests plugin for adding colour (and readability) to nosetest console results.

%prep
%setup -q -n rednose-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}

%changelog
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 0.4.1
  + No changelog available
- Use tarball from pypi
- Change Url to pypi
- Use download url as source
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jan 12 2012 saschpe@suse.de
- Spec file cleanup:
  * Dont't rm -rf %%buildroot
  * Use SPDX-style license and assume it's BSD-3-Clause
  * BuildRequire python-distribute instead of setuptools
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- don't need python-nose for packaging
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Fixed requires-section
- Added required python-termstyle package
* Tue Jan 10 2012 jweberhofer@weberhofer.at
- Initial checkin version 0.2.6
